<!DOCTYPE html>
<html lang="zxx">

<head>
  <meta charset="utf-8">
  <title>MDEF | Embedded Programming</title>

  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">

  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="../plugins/bootstrap/bootstrap.min.css">
  <link rel="stylesheet" href="../plugins/themify/css/themify-icons.css">
  <link rel="stylesheet" href="../plugins/counto/animate.css">
  <link rel="stylesheet" href="../plugins/aos/aos.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.carousel.min.css">
  <link rel="stylesheet" href="../plugins/owl-carousel/owl.theme.default.min.css">
  <link rel="stylesheet" href="../plugins/magnific-popup/magnific-popup.css">
  <link rel="stylesheet" href="../plugins/animated-text/animated-text.css">

  <!-- Main Stylesheet -->
  <link href="../css/style.css" rel="stylesheet">

</head>

<body>

  <!-- Navigation Start -->
  <!-- Header Start -->

  <nav class="navbar navbar-expand-lg  main-nav " id="navbar">
  	<div class="container">
  	  <a class="navbar-brand" href="index.html">
  	  	<!-- <img src="images/logo.png" alt="" class="img-fluid">-->
  	  </a>

  	  <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarsExample09" aria-controls="navbarsExample09" aria-expanded="false" aria-label="Toggle navigation">
  		<span class="ti-align-justify"></span>
  	  </button>

  		<div class="collapse navbar-collapse" id="navbarsExample09">
  		    <ul class="navbar-nav ml-auto">
  			       <li class="nav-item  active"><a class="nav-link" href="../index.html">Home</a></li>
          </ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
    			<ul class="navbar-nav ml-auto">
    			     <li class="nav-item  active"><a class="nav-link" href="../about.html">Hi</a></li>
          </ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
      		<ul class="navbar-nav ml-auto">
      		    <li class="nav-item  active"><a class="nav-link" href="../term1/term1-portfolio.html">1</a></li>
  					</ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item  active"><a class="nav-link" href="term2-portfolio.html">2</a></li>
            </ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
         	<ul class="navbar-nav ml-auto">
         	  <li class="nav-item  active"><a class="nav-link" href="../term3/term3-portfolio.html">3</a></li>
     			</ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
          <ul class="navbar-nav ml-auto">
          	<li class="nav-item  active"><a class="nav-link" href="../t_dxr/dxr-portfolio.html">Design For Regeneration</a></li>
      		</ul>
      </div>

      <div class="collapse navbar-collapse" id="navbarsExample09">
          <ul class="navbar-nav ml-auto">
            <li class="nav-item  active"><a class="nav-link" href="https://gitlab.com/laurafreixas">Gitlab</a></li>
              </ul>
  		</div>

  	</div>
  </nav>

  <!-- Header Close -->


  <!-- Navigation ENd -->

<!-- Header Close -->



<section class="page-title section pb-0">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="text-center">
          <h1 class="text-capitalize mb-0 text-lg">Embedded Programming</h1>
        </div>
      </div>
    </div>
  </div>
</section>

<section class="section portfolio-single">
	<div class="container">
		<div class="row justify-content-center">
			<div class="col-lg-8">
				<div class="project-info">
 <h3 class="mb-4">ATmega328P Datasheet</h3>
 In this eighth assignment, we are introduced to embedded programming. After reading the Arduino ATmega328P datasheet I understood that it is present on the Arduino UNO board but also on other similar models such as Arduino Funduino UNO. It has 14 digital inputs and outputs, of which 6 can be used as PWM, it also has 6 analog inputs, it runs with a 16 Mhz resonator, it has a USB connection, a jack for external power, an ICSP connector and a reset button.
 <br>
 <br>
 https://eu.mouser.com/datasheet/2/268/Atmel-8271-8-bit-AVR-Microcontroller-ATmega48A-48P-1315288.pdf
 <br>
 http://ww1.microchip.com/downloads/en/DeviceDoc/ATmega48A-PA-88A-PA-168A-PA-328-P-DS-DS40002061A.pdf
 <br>
 <br>
 <img src="../images/blog2/11_arduino-uno.jpg" alt="" class="img-fluid w-100">
 Arduino pinout diagram.
 <br>
 <br>
 <br>
 <br>
 <h5 class="mb-4">Features</h5>
 · Microcontroller: ATmega328
 <br>
 · Operation voltage: 5V
 <br>
 · Input voltage: 7 - 12V
 <br>
 · Input voltage range: 6-20V
 <br>
 · Digital I / O pins: 14 (6 PWM)
 <br>
 · ADC: 6
 <br>
 · Current per I / O pin: 40mA
 <br>
 · Flash memory: 32KB (0.5 KB used in bootloader)
 <br>
 · SRMA: 2KB
 <br>
 · EEPROM: 1KB
 <br>
 · Clock: 16Mhz
 <br>
 <img src="../images/blog2/11_arduino-atmega238p.png" alt="" class="img-fluid w-100">
 <br>
 <br>
 <br>
 <h5 class="mb-4">PIN Descriptions</h5>
 · VCC = digital supply voltage.
 <br>
 · GND = ground.
 <br>
 · Port B = 8-bit bi-directional I/O port with internal pull-up resistors (selected for each bit).
 <br>
 · Port C = 7-bit bi-directional I/O port with internal pull-up resistors (selected for each bit).
 <br>
 · PC6/RESET = if the RSTDISBL Fuse is programmed, PC6 is used as an I/O pin. Note that the electrical characteristics of PC6 differ from those of the other pins of Port C.
 <br>
 · Port D =  8-bit bi-directional I/O port with internal pull-up resistors (selected for each bit).
 <br>
 · AVcc =  supply voltage pin for the A/D Converter, PC3:0, and ADC7:6. It should be externally connected to VCC, even if the ADC is not used.
 <br>
 · AREF =  analog reference pin for the A/D Converter.
 <br>
 · ADC7:6 = TQFP and QFN/MLF package, ADC7:6 serve as analog inputs to the A/D converter. These pins are powered from the analog supply and serve as 10-bit ADC channels.
 <br>
 <br>
 <br>
 <br>
 <h3 class="mb-4">Programming a LED with analog/digital write</h3>
 I started testing to operate the led with a button and a potentiometer that I have in the Keyestudio kit. In the case of the button it is programmed with “digital write” since the information is 0 or 1 (false or true). In the case of the potentiometer, it is programmed with “analog write” since the information comprises a range of values between 0 and 255. I have been looking at the following tutorials to get started:
 <br>
 <br>
 <br>
 <br>
 <h3 class="mb-4">Testing the Tutorials</h3>
 <h5>LED (Digital Write)</h5>
 https://video.keyestudio.com/KS0083/
 <br>
 <br>
 <iframe src="https://player.vimeo.com/video/417934442" width="640" height="360" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
 <br>
 <br>
 <br>
 <br>
 <h5>LED + Push Button (Digital Write)</h5>
 https://wiki.keyestudio.com/index.php/Ks0083_keyestudio_New_sensor_kit_with_Uno#Project_9:_Digital_Push_Button
 <br>
 <br>
 <iframe src="https://player.vimeo.com/video/417932881" width="640" height="360" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
 <br>
 <br>
 <br>
 <br>
 <h5>LED + Potentiometer (Analog Write)</h5>
 https://www.arduino.cc/reference/en/language/functions/analog-io/analogwrite/
 <br>
 https://wiki.keyestudio.com/index.php/Ks0083_keyestudio_New_sensor_kit_with_Uno#Project_26:_Analog_Rotation_Sensor
 <br>
 <br>
 <iframe src="https://player.vimeo.com/video/417928931" width="640" height="480" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
 <br>
 <br>
 <br>
 <br>
 <h5>LED + Capacitive Sensor (Analog Write)</h5>
 https://wiki.keyestudio.com/index.php/Ks0083_keyestudio_New_sensor_kit_with_Uno#Project_10:_Capacitive_Touch_Sensor
 <br>
 <iframe src="https://player.vimeo.com/video/417931927" width="640" height="480" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
 <br>
 <br>
 <br>
 Here you can find the files:
 <br>
 <a href="../images/blog2/11_digitalwrite_led/11_digitalwrite_led.ino" download>11_LED.ino</a>
 <br>
 <a href="../images/blog2/11_digitalwrite_led_pushbutton/11_digitalwrite_led_pushbutton.ino" download>11_LED+PushButton.ino</a>
 <br>
 <a href="../images/blog2/11_potentiometer/11_potentiometer.ino" download>11_LED+Potentiometer.ino</a>
 <br>
 <a href="../images/blog2/11_led_capacitativetouch/11_led_capacitativetouch.ino" download>11_LED+Capacitor.ino</a>
 <br>
 <br>
 <br>
 <br>
</div>
				<div class="row mt-4">
					<div class="col-lg-6">
						<div class="info">
							<h5 class="mb-0">Faculty</h5>
							<p>Future Learning Unit Team</p>
						</div>

						<div class="info">
							<h5 class="mb-0">Year</h5>
							<p>25/3/2020</p>
						</div>
					</div>

					<div class="col-lg-6">
						<div class="info">
							<h5 class="mb-0">Category</h5>
							<p>Fab Academy</p>
						</div>
						<!--<div class="info">
							<h5>Share</h5>
							<a href="#"><i class="ti-facebook"></i></a>
							<a href="#"><i class="ti-twitter"></i></a>
							<a href="#"><i class="ti-pinterest"></i></a>
							<a href="#"><i class="ti-dribbble"></i></a>
						</div> -->
					</div>
				</div>

				<div class="mt-5">
					<a href="11_ed-final.html" class="btn btn-dark">Previous Work</a>
					<a href="12_dd2.html" class="btn btn-dark">Next Work</a>
				</div>
			</div>
		</div>
	</div>
</section>

<!-- Footer start -->
<section class="footer">
	<div class="container">
		<div class="row ">
			<div class="col-lg-6">
				<p class="mb-0">Copyrights © 2019. Designed & Developed by <a href="themefisher.com" class="text-white">Themefisher</a></p>
        <p class="mb-0">Copyrights © 2019. Owned and modified by <a href="https://fablabbcn.org/" class="text-white">Iaac-FablabBarcelona</a></p>
			</div>
			<div class="col-lg-6">
				<div class="widget footer-widget text-lg-right mt-5 mt-lg-0">
					<ul class="list-inline mb-0">
						<li class="list-inline-item"><a href="https://www.instagram.com/diescheuche/" target="_blank"><i class="ti-instagram mr-3"></i></a>
						</li>
            <li class="list-inline-item"><a href="https://linkedin.com/in/laura-freixas-b7240885" target="_blank"><i class="ti-linkedin mr-3"></i></a></li>
						<li class="list-inline-item"><a href="https://twitter.com/diescheuche" target="_blank"><i class="ti-twitter mr-3"></i></a>
						</li>
						<li class="list-inline-item"><a href="https://laurafreixas.gitlab.io/laura.freixas/" target="_blank"><i class="ti-github mr-3"></i></a></li>


					</ul>
				</div>
			</div>
		</div>
	</div>
</section>
<!-- Footer End -->

<!-- jQuery -->
<script src="plugins/jQuery/jquery.min.js"></script>
<!-- Bootstrap JS -->
<script src="plugins/bootstrap/bootstrap.min.js"></script>
<script src="plugins/aos/aos.js"></script>
<script src="plugins/owl-carousel/owl.carousel.min.js"></script>
<script src="plugins/shuffle/shuffle.min.js"></script>
<script src="plugins/magnific-popup/jquery.magnific-popup.min.js"></script>
<script src="plugins/animated-text/animated-text.js"></script>
<script src="plugins/counto/apear.js"></script>
<script src="plugins/counto/counTo.js"></script>

 <!-- Google Map -->
<script src="plugins/google-map/map.js"></script>
<script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAkeLMlsiwzp6b3Gnaxd86lvakimwGA6UA&callback=initMap"></script>
<!-- Main Script -->
<script src="js/script.js"></script>

</html>
